Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kUtils Class Reference
kApi/Utils

## Description

Collection of utility functions.

Inheritance diagram for kUtils:

## Public Member Functions
kBool | kChar_IsDigit (kChar ch)
| Checks whether ASCII character is a digit. More...
kBool | kChar_IsLetter (kChar ch)
| Checks whether ASCII character is a letter. More...
kBool | kChar_IsSpace (kChar ch)
| Checks whether ASCII character is a some kind of white space character type. More...
kChar | kChar_ToLower (kChar ch)
| Convert ASCII character to lower case. More...
kChar | kChar_ToUpper (kChar ch)
| Convert ASCII character to upper case. More...
kStatus | kDestroyRef (kObject *object)
| Destroys an object and resets the object handle to kNULL. More...
kStatus | kDisposeRef (kObject *object)
| Disposes an object and resets the object handle to kNULL. More...
kStatus | kLoad5 (kObject *object, const kChar *fileName, kAlloc allocator)
| Loads an object from file using kDat-5 serialization. More...
kStatus | kLoad6 (kObject *object, const kChar *fileName, kAlloc allocator)
| Loads an object from file using kDat-6 serialization. More...
kStatus | kLogf (const kChar *format,...)
| Writes to logging handler (if registered). More...
kStatus | kLogvf (const kChar *format, kVarArgList argList)
| Variable-argument version of kLogf. More...
kStatus | kMemAlloc (kSize size, void *mem)
| Allocates a block of memory from the application heap. More...
kStatus | kMemAllocZero (kSize size, void *mem)
| Allocates and zero-initializes block of memory from the application heap. More...
kStatus | kMemCopy (void *dest, const void *src, kSize size)
| Copies memory from a source buffer to a non-overlapping destination. More...
kBool | kMemEquals (const void *a, const void *b, kSize size)
| Compares one memory buffer with another. More...
kStatus | kMemFree (void *mem)
| Frees a block of memory that was allocated using kMemAlloc or kMemAllocZero. More...
kStatus | kMemFreeRef (void *mem)
| Frees a block of memory that was allocated using kMemAlloc or kMemAllocZero and resets the memory pointer to kNULL. More...
kStatus | kMemMove (void *dest, const void *src, kSize size)
| Copies memory from a source buffer to a potentially-overlapping destination. More...
kStatus | kMemSet (void *dest, kByte fill, kSize size)
| Sets a block of memory to the given byte value. More...
k32u | kRandom32u ()
| Generates a random 32-bit number. More...
k64u | kRandom64u ()
| Generates a random 64-bit number. More...
kSize | kRandomSize ()
| Generates a random number of type kSize. More...
kStatus | kReplaceRef (kObject *object, kObject source)
| Replaces a reference to existing object with a new object. More...
kStatus | kSave5 (kObject object, const kChar *fileName)
| Saves an object to file using kDat-5 serialization. More...
kStatus | kSave6 (kObject object, const kChar *fileName)
| Saves an object to file using kDat-6 serialization. More...
kStatus | kShareRef (kObject *object, kObject source)
| Shares an object and sets a handle to refer to the shared object. More...
kStatus | kStrCat (kChar *dest, kSize capacity, const kChar *src)
| Appends characters from source to destination. More...
k32s | kStrCompare (const kChar *a, const kChar *b)
| Compares one string to another. More...
k32s | kStrCompareLower (const kChar *a, const kChar *b)
| Performs a case-insenstive comparison of two strings. More...
kStatus | kStrCopy (kChar *dest, kSize capacity, const kChar *src)
| Copies characters from source to destination. More...
kBool | kStrEquals (const kChar *a, const kChar *b)
| Tests a pair of character sequences for equality. More...
const kChar * | kStrFindFirst (const kChar *str, const kChar *subStr)
| Finds the first occurrence of a character sequence. More...
const kChar * | kStrFindLast (const kChar *str, const kChar *subStr)
| Finds the last occurrence of a character sequence. More...
kSize | kStrLength (const kChar *str)
| Determines the number of kChar units in a characater sequence. More...
k32s | kStrnCompare (const kChar *a, const kChar *b, kSize maxCount)
| Compares one string to another, only up to a maximum number of characters. More...
kBool | kStrnEquals (const kChar *a, const kChar *b, kSize maxCount)
| Tests a pair of character sequences for equality, up to a maximum number of characters. More...
kStatus | kStrPrintf (kChar *dest, kSize capacity, const kChar *format,...)
| Formats a string using printf-style arguments. More...
kStatus | kStrPrintvf (kChar *dest, kSize capacity, const kChar *format, kVarArgList argList)
| Variable-argument version of kStrPrintf. More...
kStatus | kStrToLower (kChar *str)
| Converts characters in the given sequence to lower case. More...
Public Member Functions inherited from kObject
kAlloc | kObject_Alloc (kObject object)
| Gets the memory allocator associated with this object. More...
kStatus | kObject_Clone (kObject *object, kObject source, kAlloc allocator)
| Constructs a new object by copying an existing object, including any aggregated child elements. More...
kStatus | kObject_Destroy (kObject object)
| Destroys the object. More...
kStatus | kObject_Dispose (kObject object)
| Destroys the object and any aggregated child elements. More...
kBool | kObject_Equals (kObject object, kObject other)
| Determines whether the object is equal to another object. More...
kSize | kObject_HashCode (kObject object)
| Gets a hash code representing the state of this object. More...
kBool | kObject_Is (kObject object, kType type)
| Determines whether this object is an instance of the specified type. More...
kBool | kObject_IsShared (kObject object)
| Reports whether the object is currently shared (reference count greater than one). More...
kStatus | kObject_SetPool (kObject object, kObjectPool pool)
| Sets the object pool associated with this object. More...
kStatus | kObject_Share (kObject object)
| Increments the reference count associated with this object. More...
kSize | kObject_Size (kObject object)
| Estimates the memory consumed by this object, including any aggregated child elements. More...
kType | kObject_Type (kObject object)
| Returns the type of the object. More...

## Additional Inherited Members
Related inherited from kObject
#define | kObject_Type_(OBJ) kxObject_Type_(OBJ)
| Macro version of kObject_Type.
#define | kObject_Is_(OBJ, TYPE) kxObject_Is_(OBJ, TYPE)
| Macro version of kObject_Is.
#define | kObject_Alloc_(OBJ) kxObject_Allocator_(OBJ)
| Macro version of kObject_Alloc.

The documentation for this class was generated from the following file:

- Utils/kUtils.h